Bug 1459914 - Review Request: python3-poppler-qt5
Review Request: python3-poppler-qt5
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 10:29 EDT by Gwyn Ciesla
Modified: 2017-06-14 23:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-14 23:01:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Gwyn Ciesla 2017-06-08 10:29:28 EDT
Description:
Python 3 bindings for the Poppler PDF rendering library. It is needed to
run programs written in Python 3 and using Poppler set.

SPEC: https://fedorapeople.org/~limb/review/python3-poppler-qt5/python3-poppler-qt5.spec
SRPM: https://fedorapeople.org/~limb/review/python3-poppler-qt5/python3-poppler-qt5-0.24.2-1.fc26.src.rpm

Needed to upgrade Frescobaldi to 3.0.0.
Comment 1 Tom "spot" Callaway 2017-06-09 14:32:17 EDT
You're missing some rather important BuildRequires, for /usr/bin/sip and poppler-qt5. You can fix that by adding these lines:

BuildRequires: pkgconfig(poppler-qt5)
BuildRequires: sip-devel

A koji scratch build would have caught that immediately. Next time, consider test building your SRPM there first (e.g. koji build --scratch f26-build nameof.src.rpm).

With those two lines added, I finished the review. Please be sure that you add those lines before you commit. :)

== REVIEW ==

Good:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets general and python packaging guidelines
- license (LGPLv2+) OK, matches source (though, you really should ask upstream to include a copy of the LGPLv2 COPYING text, it is missing from their source tree)
- spec file legible, in am. english
- source matches upstream
- package compiles on f26 (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

APPROVED.
Comment 2 Gwyn Ciesla 2017-06-09 14:43:02 EDT
Thank you!

BEERS_I_OWE_YOU++
Comment 3 Gwyn Ciesla 2017-06-09 14:48:34 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python3-poppler-qt5
Comment 4 Fedora Update System 2017-06-09 15:39:22 EDT
python3-poppler-qt5-0.24.2-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cea8c5ab4b
Comment 5 Fedora Update System 2017-06-12 00:39:00 EDT
python3-poppler-qt5-0.24.2-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cea8c5ab4b
Comment 6 Miro Hrončok 2017-06-13 10:41:40 EDT
Little late here, but could you please add the python_provide macro?

https://fedoraproject.org/wiki/Packaging:Python#The_.25python_provide_macro
Comment 7 Fedora Update System 2017-06-14 23:01:55 EDT
python3-poppler-qt5-0.24.2-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.